BOOLEAN ProcKey()
{
$PUSH EDX
$PUSH ECX

EDX=#Keys;
ECX=VK_UP;
ECX+=EDX;
$XOR EAX, EAX
EAX=DSBYTE[ECX];
IF (EAX==1) Y+=1.0f;
            
EDX=#Keys;
ECX=VK_DOWN;
ECX+=EDX;
$XOR EAX, EAX
EAX=DSBYTE[ECX];
IF (EAX==1) Y-=1.0f;


EDX=#Keys;
ECX=VK_LEFT;
ECX+=EDX;
$XOR EAX, EAX
EAX=DSBYTE[ECX];
IF (EAX==1) X-=1.0f;

EDX=#Keys;
ECX=VK_RIGHT;
ECX+=EDX;
$XOR EAX, EAX
EAX=DSBYTE[ECX];
IF (EAX==1) X+=1.0f;



$POP ECX
$POP EDX


RETURN TRUE;
}